Bug 497840 - Unused snack import
Unused snack import
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Stokes
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 10:12 EDT by Alan Pevec
Modified: 2010-03-14 17:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, sos imported data from snack, but did not use this data. However, in order to support this import, sos required three packages: snack, libnewt, and libslang. By avoiding the import, the packages are not otherwise required by sos, and if they are not required by any other component, they need not be installed. Avoiding unneccessary packages simplifies support and minimizes the space required to install Red Hat Enterprise Linux.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2009-04-27 10:12:35 EDT
Description of problem:
sosreport script has:
from snack import *

but I don't see that any text-UI widget is used, after removing that import line sosreport seems to work fine.

Please remove this import leftover, it pulls in unnecessary dependencies (snack->libnewt->libslang) which is significant when building minimal OS installation.

Version-Release number of selected component (if applicable):
sos-1.7-9.16.el5
Comment 8 Ruediger Landmann 2009-09-02 00:55:55 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, sos imported data from snack, but did not use this data. However, in order to support this import, sos required three packages: snack, libnewt, and libslang. By avoiding the import, the packages are not otherwise required by sos, and if they are not required by any other component, they need not be installed. Avoiding unneccessary packages simplifies support and minimizes the space required to install Red Hat Enterprise Linux.
Comment 9 errata-xmlrpc 2009-09-02 03:32:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1418.html

Note You need to log in before you can comment on or make changes to this bug.